OSSIM-BATCH-TEST(1)

NAME
ossim-batch-test - ossim-batch-test

SYNOPSIS
ossim-batch-test <test-configuration-file.kwl>

DESCRIPTION

  This will run all test within the configuration file. For individual test control edit flags of the configuration file or use individual test options below. The following status is returned on exit:

-1 if any error occurred during test

    1 if any test failed 0 if all tests passed

Description: ossim-batch-test batch test application.

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-W or -w
    <template_name.kwl> Writes a long-form (-W) or a short-form (-w) template test configuration file.

-a or --accept-test
    <testX> Runs "run_expected_results_commands" portion from test configuration file for testX where X is some test number, i.e. 1, 2, 3... This will turn off all other test in the test config file. Notes: Multiple tests can be entered by quoting string of space separated test, e.g. "test1 test2". To accept all tests use "all" for test.

-c or --clean-test
    <testX> Runs "run_clean_commands" portion from test configuration file for testX where X is some test number, i.e. 1, 2, 3... This will turn off all other test in the test config file. Notes: Multiple tests can be entered by quoting string of space separated test, e.g. "test1 test2". To clean all tests use "all" for test.

-h or --help
    Display usage.

-p or --preprocess-test
    <testX> Runs "run_preprocessing_commands" portion from test configuration file for testX where X is some test number, i.e. 1, 2, 3... This will turn off all other test in the test config file. Notes: Multiple tests can be entered by quoting string of space separated test, e.g. "test1 test2". To preprocess all tests use "all" for test.

-r or --run-test
    <testX> Runs "run_test_commands" portion from test configuration file for testX where X is some test number, i.e. 1, 2, 3... This will turn off all other test in the test config file. Notes: Multiple tests can be entered by quoting string of space separated test, e.g. "test1 test2". To run all tests use "all" for test.

SEE ALSO
The full documentation for ossim-batch-test is maintained as a Texinfo manual. If the info and ossim-batch-test programs are properly installed at your site, the command

    info ossim-batch-test

should give you access to the complete manual.